curl --request POST \
--url https://api.campaigncleaner.com/v1/get_inbox_test_results \
--header 'Content-Type: application/json' \
--data '
{
"job_id": "186"
}
'import requests
url = "https://api.campaigncleaner.com/v1/get_inbox_test_results"
payload = { "job_id": "186" }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({job_id: '186'})
};
fetch('https://api.campaigncleaner.com/v1/get_inbox_test_results', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.campaigncleaner.com/v1/get_inbox_test_results",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'job_id' => '186'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.campaigncleaner.com/v1/get_inbox_test_results"
payload := strings.NewReader("{\n \"job_id\": \"186\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.campaigncleaner.com/v1/get_inbox_test_results")
.header("Content-Type", "application/json")
.body("{\n \"job_id\": \"186\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.campaigncleaner.com/v1/get_inbox_test_results")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"job_id\": \"186\"\n}"
response = http.request(request)
puts response.read_body{
"job_id": "186",
"test_name": "My Campaign Inbox Test",
"submitted_date": "4/24/2026 11:30:43 PM",
"submitted_by": "user@example.com",
"status": "Completed",
"summary": {
"total_seeds": 67,
"received": 67,
"inbox": 8,
"category": 5,
"spam": 54,
"pending": 0,
"inbox_rate": 11.9,
"category_rate": 7.5,
"spam_rate": 80.6
},
"results": [
{
"provider": "Apple - iCloud",
"seed_address": "cc.test.01@icloud.com",
"email_found": true,
"placement": "Spam",
"spf_status": "Pass",
"sender_ip": "45.45.212.114",
"submission_result": ""
},
{
"provider": "Microsoft - Hotmail, Outlook",
"seed_address": "cc.test.1@outlook.com",
"email_found": true,
"placement": "Spam",
"spf_status": "Pass",
"sender_ip": "205.166.50.8",
"submission_result": "Clean - No Threats Found"
},
{
"provider": "Verizon - Yahoo, AOL",
"seed_address": "cc_seed_01@yahoo.com",
"email_found": true,
"placement": "Inbox",
"spf_status": "Pass",
"sender_ip": "45.45.212.115",
"submission_result": ""
},
{
"provider": "Zoho - Business",
"seed_address": "cc.test.1@campaigncleaner.net",
"email_found": true,
"placement": "Inbox - Newsletter",
"spf_status": "Pass",
"sender_ip": "45.45.212.113",
"submission_result": ""
},
{
"provider": "Google - Gmail",
"seed_address": "cc.seed.01@gmail.com",
"email_found": true,
"placement": "Spam",
"spf_status": "Pass",
"sender_ip": "45.45.212.80",
"submission_result": ""
}
]
}Get Inbox Test Results
The get_inbox_test_results API allows you to retrieve the placement results for an inbox test created via the create_inbox_test API. Results are populated as seed mailboxes receive your campaign, so you may call this endpoint multiple times until the status is Completed.
A status of Processing means not all seed mailboxes have received your campaign yet. Check back in a few minutes. If some seeds never receive the email, the status will remain Processing — ensure your campaign was sent to all addresses in the send_to list.
Header:
X-CC-API-Key: Your API Key
Request Body:
Required:
- job_id: The job ID returned from the create_inbox_test API.
Response:
-
job_id: The unique ID of the inbox test.
-
test_name: The name of the inbox test.
-
submitted_date: The date and time the test was created.
-
submitted_by: The email address of the account that created the test.
-
status: Either Processing or Completed.
-
summary: A high-level breakdown of results.
- total_seeds: The total number of seed mailboxes in the test.
- received: The number of seeds that have received the campaign so far.
- inbox: The number of seeds where the campaign landed in the primary inbox.
- category: The number of seeds where the campaign landed in a tab or category such as Newsletter, Promotions, Forums, Social, or Updates. These are considered inbox placements but not the primary inbox.
- spam: The number of seeds where the campaign landed in the spam or junk folder.
- pending: The number of seeds still waiting to receive the campaign.
- inbox_rate: The percentage of total seeds where the campaign landed in the primary inbox.
- category_rate: The percentage of total seeds where the campaign landed in a tab or category folder.
- spam_rate: The percentage of total seeds where the campaign landed in spam.
-
results: A detailed per-seed breakdown.
- provider: The email provider name (e.g. Google - Gmail, Microsoft - Hotmail Outlook, Verizon - Yahoo AOL, Apple - iCloud).
- seed_address: The seed email address.
- email_found: (true/false) Whether the campaign was received by this seed.
- placement: Where the campaign landed. Possible values are Inbox, Spam, Inbox - Newsletter, Inbox - Promotions, Inbox - Forums, Inbox - Social, Inbox - Updates, or Pending.
- spf_status: The SPF authentication result for this seed.
- sender_ip: The IP address the campaign was sent from.
- submission_result: Additional detail about the submission result for this seed. Primarily used for Microsoft seeds e.g. Clean - No Threats Found.
In the event of an error, you will get an “error:” response with a description of the reason.
curl --request POST \
--url https://api.campaigncleaner.com/v1/get_inbox_test_results \
--header 'Content-Type: application/json' \
--data '
{
"job_id": "186"
}
'import requests
url = "https://api.campaigncleaner.com/v1/get_inbox_test_results"
payload = { "job_id": "186" }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({job_id: '186'})
};
fetch('https://api.campaigncleaner.com/v1/get_inbox_test_results', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.campaigncleaner.com/v1/get_inbox_test_results",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'job_id' => '186'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.campaigncleaner.com/v1/get_inbox_test_results"
payload := strings.NewReader("{\n \"job_id\": \"186\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.campaigncleaner.com/v1/get_inbox_test_results")
.header("Content-Type", "application/json")
.body("{\n \"job_id\": \"186\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.campaigncleaner.com/v1/get_inbox_test_results")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"job_id\": \"186\"\n}"
response = http.request(request)
puts response.read_body{
"job_id": "186",
"test_name": "My Campaign Inbox Test",
"submitted_date": "4/24/2026 11:30:43 PM",
"submitted_by": "user@example.com",
"status": "Completed",
"summary": {
"total_seeds": 67,
"received": 67,
"inbox": 8,
"category": 5,
"spam": 54,
"pending": 0,
"inbox_rate": 11.9,
"category_rate": 7.5,
"spam_rate": 80.6
},
"results": [
{
"provider": "Apple - iCloud",
"seed_address": "cc.test.01@icloud.com",
"email_found": true,
"placement": "Spam",
"spf_status": "Pass",
"sender_ip": "45.45.212.114",
"submission_result": ""
},
{
"provider": "Microsoft - Hotmail, Outlook",
"seed_address": "cc.test.1@outlook.com",
"email_found": true,
"placement": "Spam",
"spf_status": "Pass",
"sender_ip": "205.166.50.8",
"submission_result": "Clean - No Threats Found"
},
{
"provider": "Verizon - Yahoo, AOL",
"seed_address": "cc_seed_01@yahoo.com",
"email_found": true,
"placement": "Inbox",
"spf_status": "Pass",
"sender_ip": "45.45.212.115",
"submission_result": ""
},
{
"provider": "Zoho - Business",
"seed_address": "cc.test.1@campaigncleaner.net",
"email_found": true,
"placement": "Inbox - Newsletter",
"spf_status": "Pass",
"sender_ip": "45.45.212.113",
"submission_result": ""
},
{
"provider": "Google - Gmail",
"seed_address": "cc.seed.01@gmail.com",
"email_found": true,
"placement": "Spam",
"spf_status": "Pass",
"sender_ip": "45.45.212.80",
"submission_result": ""
}
]
}
